Subject: [dnsext] draft-ietf-dnsext-dnskey-registry-fixes-01 editorials

From: Alfred Hönes <[email-masked]>
Date: Fri, 30 Oct 2009 15:54:35 +0100 (MEZ)

Hello again,
in an attempt to quickly follow up to the most recent versions of
the active DNS related I-Ds before IETF, I arrived at your draft,
    draft-ietf-dnsext-dnskey-registry-fixes-01.

I fully agree with that document and support it being forwarded
quickly for publication as an RFC.

One semi-technical question:

Should the Reference to "FIPS 180-1" in the registry entry #3
better be updated to the current version, FIPS 180-3 ?

Similar for  "FIPS 186"  -->  "FIPS 186-3"  ?

IMO, either both or none should be quoted with the version included.

This update could be done during this fixup as well (adding more
notes to Section 3).

A few editorials to be kept in mind:

(1)  Section 1, 1st para

|      ... codes for digital signature algorithm (...).
---                                             v
|      ... codes for digital signature algorithms (...).

(2)  Section 2, 1st para

Strike   "This status .  "

(3)  Section 5.2

Should references to  FIPS 186[-3]  and  FIPS 180[-3]  be added
to this section?

For completeness:
[I-D.ogud-iana-protocol-maintenance-words]  now published as RFC 5702!

Kind regards,
  Alfred.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+

---

From: Paul Hoffman <[email-masked]>
Date: Fri, 30 Oct 2009 09:59:15 -0700

>    draft-ietf-dnsext-dnskey-registry-fixes-01.

Er, draft-ietf-dnsext-dnssec-registry-fixes-01

>Similar for  "FIPS 186"  -->  "FIPS 186-3"  ?

As long as the technical details of the algorithms has not changed between versions of FIPS document, we should always refer to the -n version. This is because NIST usually names the first version without a number. Worse yet, NIST does not maintain the URLs for the old documents very well.

>[I-D.ogud-iana-protocol-maintenance-words]  now published as RFC 5702!

No, the references for this doc should only be things that appeared outside of the proposed registry example.

--Paul Hoffman, Director
--VPN Consortium